wmweather (2.4.7-3) unstable; urgency=medium

  * source-only upload

 -- Martin A. Godisch <godisch@debian.org>  Sun, 26 Jul 2020 12:54:42 +0200

wmweather (2.4.7-2) unstable; urgency=medium

  * Fixed gcc-10 compilation, closes. #957956.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 25 Jul 2020 14:36:57 +0200

wmweather (2.4.7-1) unstable; urgency=medium

  * New upstream release, fixed NOAA download URL, closes: #921841.
    Thanks to Tilmann Hentze, Werner, Roman Dobosz,
    Cristian Ionescu-Idbohrn, and Faried Nawaz.
  * Updated standards version, added --strip-unneeded.

 -- Martin A. Godisch <godisch@debian.org>  Wed, 13 Feb 2019 21:03:11 +0100

wmweather (2.4.6-2) unstable; urgency=low

  * Made build reproducible, closes: #828855. Thanks to Reiner Herrmann.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 07 Aug 2016 19:53:00 +0200

wmweather (2.4.6-1) unstable; urgency=low

  * New upstream release, fixed NOAA download URL, closes: #833394.
    Thanks to Matthieu Weber and Cristian Ionescu-Idbohrn.
  * Replaced menu information with desktop file, updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 07 Aug 2016 19:06:24 +0200

wmweather (2.4.5-2) unstable; urgency=low

  * Updated build system.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 30 Dec 2013 16:28:11 +0100

wmweather (2.4.5-1) unstable; urgency=low

  * New upstream release.
  * Updated standards version: changed section to gnustep.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 03 Jul 2009 18:01:33 +0200

wmweather (2.4.4-5) unstable; urgency=low

  * Fixed xmessage path, closes: #532978.
  * Updated standards version: changed section to gnustep.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 22 Jun 2009 18:23:10 +0200

wmweather (2.4.4-4) unstable; urgency=low

  * Removed SSL dependency, updated build-dependencies, closes: #532822.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 12 Jun 2009 18:49:27 +0200

wmweather (2.4.4-3) unstable; urgency=low

  * Updated (build-) dependencies.
  * Added homepage control field and updated package description.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 13 Apr 2009 19:14:14 +0200

wmweather (2.4.4-2) unstable; urgency=low

  * Fixed watch file, closes: #449746.
  * Fixed clean target.
  * Updated build-dependencies.
  * Updated menu section.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 02 Feb 2008 17:44:41 +0100

wmweather (2.4.4-1) unstable; urgency=low

  * New upstream release.
  * Updated build-dependency.
  * Fixed debian/rules, debian/postinst, debian/postrm.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 13 May 2007 19:35:24 +0200

wmweather (2.4.3-5) unstable; urgency=low

  * Fixed dewpoint calculation, closes: #402397.
    Thanks to Djalma Brandão Martins.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 10 Dec 2006 09:12:20 +0100

wmweather (2.4.3-4) unstable; urgency=low

  * Improved data interpretation, closes: #401479.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 04 Dec 2006 18:06:20 +0100

wmweather (2.4.3-3) unstable; urgency=low

  * Fixed wmweather.conf installation, closes: #375151.
  * Fixed character encoding in manual page.
  * Updated menu file destination.
  * Updated FSF address in copyright file.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 25 Jun 2006 18:38:00 +0200

wmweather (2.4.3-2) unstable; urgency=low

  * Updated build dependencies, closes: #279457.
  * Added watch file.

 -- Martin A. Godisch <godisch@debian.org>  Wed, 03 Nov 2004 18:29:40 +0100

wmweather (2.4.3-1) unstable; urgency=low

  * New upstream release.
  * Fixed POSIX compliance of debian/rules.
  * Fixed quotation in debian/menu.
  * Fixed permissions of DEBIAN/control.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 11 Jul 2004 17:43:27 +0200

wmweather (2.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Martin A. Godisch <godisch@debian.org>  Thu, 30 Oct 2003 19:47:51 +0100

wmweather (2.4.1-2) unstable; urgency=low

  * Fixed pressure rounding and manual typo, thanks to Martin Stigge,
    closes: #217551.
  * Updated build-dependency and standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 26 Oct 2003 12:46:21 +0100

wmweather (2.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 01 Aug 2003 15:35:16 +0200

wmweather (2.4.0-2) unstable; urgency=low

  * Don't die upon HTTP 403, closes: #203335.
  * Converted debian/changelog to UTF-8.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 29 Jul 2003 16:20:12 +0200

wmweather (2.4.0-1) unstable; urgency=low

  * New upstream release, added config file support.
  * Removed debconf support in favor of system-wide config file,
    updated dependencies. The debconf information will be moved
    into /etc/wmweather.conf automatically.
  * Fixed handling for multiple PIDs in the ip-up script.
  * Temporarily removed debian/watch file.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 28 Apr 2003 07:16:10 +0200

wmweather (2.3.3-1) unstable; urgency=low

  * New upstream release, closes: #185332.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 22 Mar 2003 16:37:21 +0100

wmweather (2.3.2-2) unstable; urgency=low

  * Added french debconf translation, closes: #185494.
    Thanks to Christian Perrier.
  * Added portuguese debconf translation, closes: #185683.
    Thanks to André Luís Lopes.
  * Fixed default value for wmweather/metric.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 21 Mar 2003 08:38:24 +0100

wmweather (2.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 15 Mar 2003 20:56:58 +0100

wmweather (2.3.1-4) unstable; urgency=low

  * Transition to po-debconf, updated build-dependencies.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 14 Mar 2003 19:36:30 +0100

wmweather (2.3.1-3) unstable; urgency=low

  * Fixed update-menus in debian/postinst and debian/postrm.
  * Updated debian/watch.

 -- Martin A. Godisch <godisch@debian.org>  Thu, 27 Feb 2003 17:04:55 +0100

wmweather (2.3.1-2) unstable; urgency=low

  * Simplified debian/config, fixed debian/postinst, updated debian/watch.
  * Added Lintian override about menu file not in DEBIAN/md5sums, because
    it is debconf'igured.
  * Removed build-dependency on debhelper.
  * Updated maintainer email address.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 21 Feb 2003 20:49:00 +0100

wmweather (2.3.1-1) unstable; urgency=low

  * New upstream release.
  * Fixed ip-up script, closes: #179454.

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Fri, 07 Feb 2003 15:21:45 +0100

wmweather (2.3.0-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/control, debian/rules.

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Mon, 27 Jan 2003 21:57:50 +0100

wmweather (2.2.13-1) unstable; urgency=low

  * New upstream release,
    closes: #174473 (incorrect displaying of -10).
  * Fixed /etc/ppp/ip-up.d/wmweather, closes: #168790.
  * Fixed build-dependencies, improved control description.
  * Updated Debian standards version.

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Sat, 28 Dec 2002 15:45:13 +0100

wmweather (2.2.12-1) unstable; urgency=low

  * New upstream release, fixes --dc and --wgc.
  * Fixed handling of menu file (see: #161745).

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Tue, 08 Oct 2002 09:55:20 +0200

wmweather (2.2.11-1) unstable; urgency=low

  * New upstream release:
    updated NOAA National Weather Service URL references (closes: #159880).
  * Updated Debian standards version.

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Fri, 06 Sep 2002 21:54:10 +0200

wmweather (2.2.10-2) unstable; urgency=low

  * Added Spanish debconf translation.
    Thanks to Ricardo Javier Cardenes <ricardo@conysis.com>.

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Fri, 30 Aug 2002 18:47:50 +0200

wmweather (2.2.10-1) unstable; urgency=low

  * New upstream release, fixes --display handling.

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Mon, 26 Aug 2002 21:09:06 +0200

wmweather (2.2.9-1) unstable; urgency=low

  * New upstream release, closes: #157343 (blackbox docking).

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Fri, 23 Aug 2002 11:39:30 +0200

wmweather (2.2.8-1) unstable; urgency=low

  * New upstream release.

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Tue, 13 Aug 2002 01:21:37 +0200

wmweather (2.2.7-1) unstable; urgency=low

  * New upstream release,
    closes: #145550 (request for --proxy switch),
    closes: #147342 (missing HTTP 404 error message),
    closes: #149925 (executable file name).
    wmweather changed a lot, have a look at the upstream changelog.
  * Added /etc/ppp/ip-up.d/wmweather.
  * Removed Depends: Perl.

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Sat, 10 Aug 2002 16:36:35 +0200

wmweather (1.31-7) unstable; urgency=high

  * Made GrabWeather giving up after the first unsuccessfull attempt,
    fixes stacking of Perl processes (closes: #139842).
  * Added debian/compat, debian/watch; updated debian/rules.

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Tue, 26 Mar 2002 01:32:01 +0100

wmweather (1.31-6) unstable; urgency=low

  * Added Russian debconf support (closes: #137700).
    Thanks to Ilgiz Kalmetev <ilgiz@bashtelecom.ru>.

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Sun, 10 Mar 2002 16:32:34 +0100

wmweather (1.31-5) unstable; urgency=low

  * Changed user interface: don't let the window get the input focus, don't
    let it receive key press events. Changed input events as follows:
    + left double click to left single click (show METAR record),
    + any key press to middle single click (toggle deg F/C),
    + right double click to right single-click (download METAR record).
  * Moved files from /usr/X11R6 to /usr.
  * Updated standards version.

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Sun,  3 Mar 2002 21:33:57 +0100

wmweather (1.31-4) unstable; urgency=low

  * Fixed architecture in debian/control (closes: #136650).

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Sun,  3 Mar 2002 07:50:56 +0100

wmweather (1.31-3) unstable; urgency=low

  * Made GrabWeather fetch weather reports using HTTP which yields another
    speedup and avoids "too many users" failures,
  * improved -delay option (closes: #36229).
    Thanks to Eric Benoit <eric@ecks.org> for his suggestions.
  * Fixed monitor bug on double click left.

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Sat,  2 Mar 2002 21:30:32 +0100

wmweather (1.31-2) unstable; urgency=low

  * Installed menu file using debconf (closes: #45296).
  * Replaced usage of wget by curl (closes: #47463, #60599).
    Main reason is that wget downloads a nearly 250 KB FTP directory listing
    in order to fetch the less than 400 bytes weather report thereafter, and
    weather.noaa.gov isn't that fast. curl is smaller, faster and maybe also
    more reliable in this situation.
  * Fixed wmWeather.c (closes: #61714).
  * Several small fixes in GrabWeather (closes: #108775).
  * Updated depends/recommends/suggests.
  * New maintainer (closes: #92686, #135892).

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Thu, 28 Feb 2002 20:03:20 +0100

wmweather (1.31-1.2) unstable; urgency=low

  * NMU
  * Updated the build dependencies. (closes: #92686)

 -- Adrian Bunk <bunk@fs.tum.de>  Wed, 27 Jun 2001 22:12:05 +0200

wmweather (1.31-1.1) unstable; urgency=low

  * NMU by Branden Robinson <branden@debian.org>.
  * Recompile against modern xpm4g package to get proper shared library
    dependency and permit this package to be installed with forthcoming
    XFree86 4.x packages, which include libXpm.
  * debian/control: added Build-Depends

 -- Branden Robinson <branden@debian.org>  Mon, 23 Oct 2000 15:04:32 -0500

wmweather (1.31-1) unstable; urgency=low

  * New Upstream Version
  * Uses depends for new perl packages (starting 5.005)

 -- Darren Benham <gecko@debian.org>  Thu,  1 Jul 1999 16:26:52 -0700

wmweather (1.30.1-2) unstable; urgency=low

  * Added Recommends: xcontrib (closes #36242)

 -- Darren Benham <gecko@debian.org>  Sat, 17 Apr 1999 22:49:04 -0700

wmweather (1.30.1-1) unstable; urgency=low

  * new upstream version (closes #36005)

 -- Darren Benham <gecko@debian.org>  Sat, 17 Apr 1999 16:56:41 -0700

wmweather (1.30-1) unstable; urgency=low

  * new upstream version

 -- Darren Benham <gecko@debian.org>  Sat, 10 Apr 1999 22:16:27 -0700

wmweather (1.23-2) unstable; urgency=low

  * added --passive-ftp to wget command
  * removed menu entry since

 -- Darren Benham <gecko@debian.org>  Sat, 20 Feb 1999 21:34:28 -0800

wmweather (1.23-1) unstable; urgency=low

  * New upstream version
  * Fixed Spelling (close bug#32956)
  * Added wget to depends (close bug#33188)

 -- Darren Benham <gecko@debian.org>  Sun, 14 Feb 1999 20:14:47 -0800

wmweather (1.21-1) unstable; urgency=low

  * Initial Release.

 -- Darren Benham <gecko@debian.org>  Mon,  1 Feb 1999 01:37:20 -0800
